Subject: Re: Make mode-line number display consistent when both line and col numbers are shown.

From: Eli Zaretskii <[email-masked]>
Date: Fri, 29 Sep 2017 22:15:27 +0300

> From: Robert Weiner <[email-masked]>
> Date: Fri, 29 Sep 2017 14:17:54 -0400
> Cc: [email-masked]
> 
>  But you're right, the mode line can always be customized, so I'm not feeling
>  too strongly about this.
> 
> ​Customizing mode-line-format won't help as the string to be modified is embedded in the sub-variable,
> mode-line-position, which is a standard variable not a customizable option. So doesn't that mean there is no
> way for a non-programming user to change the line-col display format and have that change persist across
> Emacs releases without replicating the whole definition of mode-line-position?

If you are asking for an optional feature that would display these
indicators as we did 15 years ago, I'm okay with adding it.  (We
already have quite a few optional variations on similar themes, but
one more cannot do too much harm, I guess.)

My interpretation of what you said originally was that you want to
unconditionally revert to pre-22 behavior, which is quite a different
request.